<x-guest-layout>
    <!-- Session Status -->
    <x-auth-session-status class="mb-4" :status="session('status')" />

    <form method="POST" action="{{ route("login") }}">
        @csrf
        <div x-data="{ isPasswordVisible: false }">
            <!-- Email Address -->
            <div>
                <x-input-label for="email" :value="__('Email')" />
                <x-text-input
                    id="email"
                    class="mt-1 block w-full"
                    type="email"
                    name="email"
                    :value="old('email')"
                    required
                    autofocus
                    autocomplete="username"
                />
                <x-input-error :messages="$errors->get('email')" class="mt-2" />
            </div>

            <!-- Password -->
            <div class="mt-4">
                <x-input-label for="password" :value="__('Password')" />
                <x-text-input
                    id="password"
                    class="mt-1 block w-full"
                    x-bind:type="isPasswordVisible ? 'text' : 'password'"
                    name="password"
                    required
                    autocomplete="current-password"
                />
                <x-input-error :messages="$errors->get('password')" class="mt-2" />
            </div>

            <div class="flex items-center justify-between">
                <!-- Remember Me -->
                <div class="mt-4 block">
                    <label for="remember_me" class="inline-flex items-center">
                        <input
                            id="remember_me"
                            type="checkbox"
                            class="rounded border-gray-300 text-indigo-600 shadow-sm focus:ring-indigo-500 dark:border-gray-700 dark:bg-gray-900 dark:focus:ring-indigo-600 dark:focus:ring-offset-gray-800"
                            name="remember"
                        />
                        <span class="ml-2 text-sm text-gray-600 dark:text-gray-400">
                            {{ __("Remember me") }}
                        </span>
                    </label>
                </div>

                <!-- Show Password -->
                <div class="mt-4 block">
                    <label for="show_password" class="float-right inline-flex items-center">
                        <input
                            id="show_password"
                            type="checkbox"
                            x-model="isPasswordVisible"
                            class="rounded border-gray-300 text-indigo-600 shadow-sm focus:ring-indigo-500 dark:border-gray-700 dark:bg-gray-900 dark:focus:ring-indigo-600 dark:focus:ring-offset-gray-800"
                        />
                        <span class="ml-2 text-sm text-gray-600 dark:text-gray-400">
                            {{ __("Show password") }}
                        </span>
                    </label>
                </div>
            </div>

            <div class="mt-4 flex items-center justify-end">
                @if (Route::has("password.request"))
                    <a
                        class="rounded-md text-sm text-gray-600 underline hover:text-gray-900 focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2 dark:text-gray-400 dark:hover:text-gray-100 dark:focus:ring-offset-gray-800"
                        href="{{ route("password.request") }}"
                    >
                        {{ __("Forgot your password?") }}
                    </a>
                @endif

                <x-primary-button class="ml-3">
                    {{ __("Log in") }}
                </x-primary-button>
            </div>
        </div>
    </form>
</x-guest-layout>
